For the complete documentation index, see llms.txt. This page is also available as Markdown.

Displayprofile

Display Settings

Display Profile Search

get

Search this users Display Profiles

Query parameters
displayProfileIdintegerOptional

Filter by DisplayProfile Id

displayProfilestringOptional

Filter by DisplayProfile Name

typestringOptional

Filter by DisplayProfile Type (windows|android|linux|lg|sssp|chromeOS|hisense)

embedstringOptional

Embed related data such as config,commands,configWithDefault

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/displayprofile
GET /api/displayprofile HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "displayProfileId": 1,
    "name": "text",
    "type": "text",
    "config": [
      "text"
    ],
    "isDefault": 1,
    "userId": 1,
    "configDefault": [
      "text"
    ]
  }
]

Add Display Profile

post

Add a Display Profile

Body
namestringRequired

The Name of the Display Profile

typestringRequired

The Client Type this Profile will apply to

isDefaultintegerRequired

Flag indicating if this is the default profile for the client type

Responses
201

successful operation

application/json
post/displayprofile
POST /api/displayprofile HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 43

"name='text'&type='text'&isDefault=1"
201

successful operation

{
  "displayProfileId": 1,
  "name": "text",
  "type": "text",
  "config": [
    "text"
  ],
  "isDefault": 1,
  "userId": 1,
  "configDefault": [
    "text"
  ]
}

Display Profile Search by ID

get

Get the Display Profile object specified by the provided displayProfileId

Path parameters
displayProfileIdintegerRequired

Numeric ID of the Display Profile to get

Responses
200

successful operation

application/json

Class DisplayProfile

displayProfileIdintegerOptional

The ID of this Display Profile

namestringOptional

The name of this Display Profile

typestringOptional

The player type that this Display Profile is for

configstring[]Optional

The configuration options for this Profile

isDefaultintegerOptional

A flag indicating if this profile should be used as the Default for the client type

userIdintegerOptional

The userId of the User that owns this profile

configDefaultstring[]Optional

The default configuration options for this Profile

get/displayprofile/{id}
GET /api/displayprofile/{id} HTTP/1.1
Accept: */*
200

successful operation

{
  "displayProfileId": 1,
  "name": "text",
  "type": "text",
  "config": [
    "text"
  ],
  "isDefault": 1,
  "userId": 1,
  "configDefault": [
    "text"
  ]
}

Edit Display Profile

put

Edit a Display Profile

Path parameters
displayProfileIdintegerRequired

The Display Profile ID

Body
namestringRequired

The Name of the Display Profile

typestringRequired

The Client Type this Profile will apply to

isDefaultintegerRequired

Flag indicating if this is the default profile for the client type

Responses
204

successful operation

No content

put/displayprofile/{displayProfileId}
PUT /api/displayprofile/{displayProfileId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 43

"name='text'&type='text'&isDefault=1"
204

successful operation

No content

Delete Display Profile

delete

Delete an existing Display Profile

Path parameters
displayProfileIdintegerRequired

The Display Profile ID

Responses
204

successful operation

No content

delete/displayprofile/{displayProfileId}
DELETE /api/displayprofile/{displayProfileId} HTTP/1.1
Accept: */*
204

successful operation

No content

Copy Display Profile

post

Copy an existing Display Profile

Path parameters
displayProfileIdintegerRequired

The Display Profile ID

namestringRequired

The name for the copy

Responses
201

successful operation

application/json
post/displayprofile/{displayProfileId}/copy
POST /api/displayprofile/{displayProfileId}/copy HTTP/1.1
Accept: */*
201

successful operation

{
  "displayProfileId": 1,
  "name": "text",
  "type": "text",
  "config": [
    "text"
  ],
  "isDefault": 1,
  "userId": 1,
  "configDefault": [
    "text"
  ]
}

Last updated

Was this helpful?